Summary: A utility for getting files from remote servers (FTP, HTTP, and others)
Name: curl 
Version: 7.18.1
Release: 1
License: MIT
Group: Applications/Internet
Source0: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2
Source1: http://curl.haxx.se/download/%{name}-%{version}.tar.bz2.asc
URL: http://curl.haxx.se/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: openssl-devel, pkg-config, libidn-devel, zlib-devel
Requires: libidn, openssl, zlib

%description
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. cURL is designed
to work without user interaction or any kind of interactivity. cURL
offers many useful capabilities, like proxy support, user
authentication, FTP upload, HTTP post, and file transfer resume.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Files needed for building applications with libcurl
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libidn-devel, openssl-devel, pkg-config, zlib-devel

%description devel
cURL is a tool for getting files from FTP, HTTP, Gopher, Telnet, and
Dict servers, using any of the supported protocols. The curl-devel
package includes files needed for developing applications which can
use cURL's capabilities internally.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q 


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp lib/.libs/libcurl.so.4 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q lib/.libs/libcurl.a ./libcurl.so.4


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin include lib
  do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc CHANGES README* COPYING
%doc docs/BUGS docs/FAQ docs/FEATURES
%doc docs/MANUAL docs/RESOURCES
%doc docs/TheArtOfHttpScripting docs/TODO
%{_bindir}/curl
%{_libdir}/*.a
%{_mandir}/man1/curl.1
/usr/bin/curl
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%doc docs/examples/*.c docs/examples/Makefile.example docs/INTERNALS
%{_bindir}/curl-config*
%{_includedir}/%{name}
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/curl-config.1
%{_mandir}/man3/*
/usr/bin/curl-config*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Mar 31 2008 Michael Perzl <michael@perzl.org> - 7.18.1-1
- updated to version 7.18.1

* Tue Feb 19 2008 Michael Perzl <michael@perzl.org> - 7.18.0-1
- updated to version 7.18.0

* Fri Dec 28 2007 Michael Perzl <michael@perzl.org> - 7.17.1-1
- first version for AIX V5.1 and higher
